dpkg uses wrong encoding for Hebrew

Bug #251705 reported by Yaron on 2008-07-25
40
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Undecided
Unassigned
synaptic
Invalid
Undecided
Unassigned
synaptic (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: dpkg

The bug is actually related to the GUI and not the console so please correct me if i'm wrong

Well the problem is that while installing packages with the dpkg GUI the Hebrew displayed inverted at the mini terminal part right below the progress bar

The problem is the encoding is incorrect, there are environmental settings that change this behavior but they cannot be applied since this mini terminal window does not allow input

Please fix this ugly bug, our translation for dpkg and many other apps that use mini terminals does not display correctly

Best Regards,
--- Yaron - Hebrew

Eli Daian (elidaian) wrote :

I can confirm this bug in the GUI on based dpkg installations.

Changed in dpkg:
status: New → Confirmed
eitan (eitan-zamir) wrote :

I too add my voice to those of Eli and Yaron regarding this bug.

Colin Watson (cjwatson) wrote :

What application are you using here? Be specific - for example, what item do you select from the main Ubuntu desktop menu?

(This isn't a bug in dpkg, but in whatever application is providing the terminal, such as synaptic.)

Changed in dpkg:
status: Confirmed → Incomplete
Eli Daian (elidaian) wrote :

The bug appears in synaptic, and all the other GUI dpkg-based applications, but not in the terminal, but in the line above the terminal that describes the current operation

Actually it happens at the terminal itself
Furthermore, the terminal interface (I checked again today, version 7.10
suffers from the very same problem)

If you want more details about RTL rendering we will be more than happy to
supply

Eli, thanks for the comment, maybe a screenshot of the occurence will
provide much info about the issue, do you think you can fake some
installation with synaptic only so you can take a snapshot of it and post it
here?

Best regards to all bug participants

Eli Daian (elidaian) wrote :

Now it is written in English, so there is no encoding problem.
But I am using a Hebrew system.
I will upload a screenshot, but this only shows the English and not the bug.
yaron, maybe we were talking about 2 different bugs, and my bug was already fixed.

Colin Watson (cjwatson) wrote :

Thanks. This seems like a problem in synaptic, not dpkg, then.

Changed in dpkg:
importance: Undecided → Medium
status: Incomplete → Confirmed
Jean-Baptiste Lallement (jibel) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue for you. Can you try with the latest Ubuntu release? Thanks in advance.

Changed in synaptic (Ubuntu):
status: Confirmed → Incomplete
shimi810 (shimi810) wrote :

The following screenshots demonstrate the discussed bug.

the bug exists in packages - analog (in terminal !), b43-fwcutter.
and not - firefox.

this Attachment is photo show install package analog but not happening on uninstall.

shimi810 (shimi810) wrote :
shimi810 (shimi810) wrote :
shimi810 (shimi810) wrote :
shimi810 (shimi810) wrote :

b43-fwcutter - in error install.

shimi810 (shimi810) wrote :

the photo of firefox package - not happening this package (bug parts, part of the package with the bug and some not ...)

shimi810 (shimi810) wrote :
shimi810 (shimi810) wrote :
shimi810 (shimi810) wrote :

end of images.

shimi810 (shimi810) wrote :

bug also exists in the package 'update-manager', added screenshot.

Apparently, the bug exists in all programs.

Thanks for the additional information. I'm going to set the status to 'confirmed'.
The last screenshot is synaptic too which is called from update-manager.

Thanks for your help.

Changed in synaptic (Ubuntu):
status: Incomplete → Confirmed

Apparently, hebrew translations has been removed from dpkg a while ago:

2007-12-29 Guillem Jover <email address hidden>

 * he.po: Remove obsolete translation.
 * LINGUAS: Remove disabled Hebrew entry.

It is not a synaptic issue, I'm reaffecting the report to dpkg. Thanks.

affects: synaptic (Ubuntu) → dpkg (Ubuntu)
Yaron (sh-yaron) wrote :

This act should be included system wide to every single package that is CLI only (wget, lynx, bash, binutils, etc.)

Do you have any practical suggestion in order to make this happen?

My comment was about the text in english that is displayed in the GUI of synaptic.
The mini terminal in synaptic is a VTE component and it is the issue you reported in bug 325324.

As a workaround, I think we could force a C locale when the VTE is called from synaptic. This way, we'll display correct english instead of incorrect hebrew. Could you please tell me what the line above 'Selecting previously ...' means in the screenshot in comment #13 in order to locate it and try to reproduce here ?

There is still the problem with the dpkg output displayed in the GUI which will remain in english since the translation has been removed from dpkg. Couldn't we have a minimal translation file for those strings ?

I'm not sure that removing translations from CLI apps is the solution. Many GUI apps uses output from CLI apps to display their message. If you remove the translations from CLI you'll end up with GUI in mixed languages which is worse (and mixed directions)

affects: dpkg (Ubuntu) → synaptic (Ubuntu)
Yaron (sh-yaron) wrote :

The suggested measure has been applied system wide in Debian and for some reason the same policy was not applied in Ubuntu... (Alongside some Hebrew and RTL specific apps that shipped with the Hebrew version of Debian)

If you believe that translating the whole app won't damage the user experience it would be the best solution... our only problem is the CLI apps

The solution you offered can put an end to this matter, setting the C locale in terminal would be sufficient and it will also allow us to translate the entire app without confusing the users

The text you mentioned in comment #13 is "Preconfiguring packages ..."

The following bug and the one you mentioned I reported earlier are related to each other and I also offered setting the locale to C there, The original maintainer of Hebrew Debian pariticpated there as well...

What are you offering?

Yaron (sh-yaron) wrote :

And is there anything I can do to help you achieve it?

The message in hebrew in the mini-terminal is from debconf, you'll have to disable this translation too.

Yaron (sh-yaron) wrote :

Should I open another bug report?

do it

On Mon, Mar 8, 2010 at 9:22 PM, Yaron <email address hidden> wrote:

> Should I open another bug report?
>
> --
> dpkg uses wrong encoding for Hebrew
> https://bugs.launchpad.net/bugs/251705
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The synaptic package manager: New
> Status in Ubuntu Translations (internationalization and localization): New
> Status in “synaptic” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: dpkg
>
> The bug is actually related to the GUI and not the console so please
> correct me if i'm wrong
>
> Well the problem is that while installing packages with the dpkg GUI the
> Hebrew displayed inverted at the mini terminal part right below the progress
> bar
>
> The problem is the encoding is incorrect, there are environmental settings
> that change this behavior but they cannot be applied since this mini
> terminal window does not allow input
>
> Please fix this ugly bug, our translation for dpkg and many other apps that
> use mini terminals does not display correctly
>
> Best Regards,
> --- Yaron - Hebrew
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/synaptic/+bug/251705/+subscribe
>

shezif (shezif) wrote :

+1

-----Original Message-----
From: IsraeliHawk <email address hidden>
Reply-to: Bug 251705 <email address hidden>
To: <email address hidden>
Subject: Re: [Bug 251705]
Date: Mon, 08 Mar 2010 19:34:23 -0000

do it

On Mon, Mar 8, 2010 at 9:22 PM, Yaron <email address hidden> wrote:

> Should I open another bug report?
>
> --
> dpkg uses wrong encoding for Hebrew
> https://bugs.launchpad.net/bugs/251705
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The synaptic package manager: New
> Status in Ubuntu Translations (internationalization and localization): New
> Status in “synaptic” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: dpkg
>
> The bug is actually related to the GUI and not the console so please
> correct me if i'm wrong
>
> Well the problem is that while installing packages with the dpkg GUI the
> Hebrew displayed inverted at the mini terminal part right below the progress
> bar
>
> The problem is the encoding is incorrect, there are environmental settings
> that change this behavior but they cannot be applied since this mini
> terminal window does not allow input
>
> Please fix this ugly bug, our translation for dpkg and many other apps that
> use mini terminals does not display correctly
>
> Best Regards,
> --- Yaron - Hebrew
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/synaptic/+bug/251705/+subscribe
>

I'm closing the synaptic tasks because the translation string in hebrew comes from debconf.
Secondly, forcing 'C' locale from synaptic is not the correct solution. It fixes the problem only for that specific application but it should done for all apps which include a console which will introduce a high maintenance cost.
If the terminal comes to support RTL languages, we will have to change it back.

PS : Yaron, or any member of the Hebrew translation team, could you please contact me on #ubuntu-bugs to discuss of a possible solution. Thanks in advance.

As a side note: wget also display localized strings in hebrew. You would probably be interested in disabling translations from that app too.

Changed in synaptic (Ubuntu):
status: Confirmed → Won't Fix
Changed in synaptic:
status: New → Invalid
Shahar Or (mightyiam) wrote :

Will someone add the tags rtl,hebrew, I can't seem to do it.

tags added

On Wed, Mar 10, 2010 at 7:56 PM, Shahar Or <email address hidden> wrote:

> Will someone add the tags rtl,hebrew, I can't seem to do it.
>
> --
> dpkg uses wrong encoding for Hebrew
> https://bugs.launchpad.net/bugs/251705
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The synaptic package manager: Invalid
> Status in Ubuntu Translations (internationalization and localization): New
> Status in “synaptic” package in Ubuntu: Won't Fix
>
> Bug description:
> Binary package hint: dpkg
>
> The bug is actually related to the GUI and not the console so please
> correct me if i'm wrong
>
> Well the problem is that while installing packages with the dpkg GUI the
> Hebrew displayed inverted at the mini terminal part right below the progress
> bar
>
> The problem is the encoding is incorrect, there are environmental settings
> that change this behavior but they cannot be applied since this mini
> terminal window does not allow input
>
> Please fix this ugly bug, our translation for dpkg and many other apps that
> use mini terminals does not display correctly
>
> Best Regards,
> --- Yaron - Hebrew
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/synaptic/+bug/251705/+subscribe
>

tags: added: dpkg hebrew rtl

Is this still a problem? If yes, please respond.

Changed in ubuntu-translations:
status: New → Incomplete
Yaron (sh-yaron) wrote :

Still happening, vte related (vte does not support complex scripts).

Launchpad Janitor (janitor) wrote :

[Expired for Ubuntu Translations because there has been no activity for 60 days.]

Changed in ubuntu-translations:
status: Incomplete → Expired
To post a comment you must log in.